DS_PROTO_FOREACH_FUNC(3)

PROTO_FUNC
ds_PROTO_foreach_func - Process an occurrence of an item in a data structure.

SYNOPSIS
#include <karma_ds.h>

flag ds_PROTO_foreach_func

(char *encls_desc, unsigned int type, char *data, unsigned int index)

DESCRIPTION
Process an occurrence of an item in a data structure.

encls_desc
    The enclosing descriptor.

type
    The type of the enclosing descriptor. See <-ds_PARENT_TYPES-> for a list of possible values.

data
    A pointer to the item data. This is: A pointer to the first element (for a packet descriptor) A pointer to a portion of the array (for an array or dimension descriptor) A pointer to the linked list header (for a linked list descriptor)

index
    The index number of the item in the enclosing descriptor, for the cases where the enclosing descriptor is a packet, array or linked list descriptor. For the case where the enclosing descriptor is a dimension descriptor, this carries the stride (in bytes) between consecutive co-ordinates in the dimension.

RETURN VALUE
TRUE on success, else FALSE

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/